## org.eclipse.emf.cdo.common.revision
Interface CDORevisionResolver

All Known Subinterfaces:
  CDORevisionManager, IRevisionManager

    public interface CDORevisionResolver

Method Summary
`boolean` `containsRevision(CDOID id)`
`boolean` `containsRevisionByTime(CDOID id, long timeStamp)`
`boolean` `containsRevisionByVersion(CDOID id, int version)`
`CDORevisionCache` `getCache()`
`CDOIDObjectFactory` `getCDOIDObjectFactory()`
`org.eclipse.emf.ecore.EClass` `getObjectType(CDOID id)`
`CDOID` `getResourceID(CDOID folderID, java.lang.String name, long timeStamp)`
`CDORevision` `getRevision(CDOID id, int referenceChunk)`
`CDORevision` `getRevision(CDOID id, int referenceChunk, boolean loadOnDemand)`
`CDORevision` `getRevisionByTime(CDOID id, int referenceChunk, long timeStamp)`
`CDORevision` `getRevisionByTime(CDOID id, int referenceChunk, long timeStamp, boolean loadOnDemand)`
`CDORevision` `getRevisionByVersion(CDOID id, int referenceChunk, int version)`
`CDORevision` `getRevisionByVersion(CDOID id, int referenceChunk, int version, boolean loadOnDemand)`
`java.util.List<CDORevision>` `getRevisions(java.util.Collection<CDOID> ids, int referenceChunk)`
`java.util.List<CDORevision>` `getRevisionsByTime(java.util.Collection<CDOID> ids, int referenceChunk, long timeStamp, boolean loadMissingRevisions)`
`void` `setCache(CDORevisionCache cache)`

Method Detail

### getCDOIDObjectFactory

    CDOIDObjectFactory getCDOIDObjectFactory()

### getObjectType

    org.eclipse.emf.ecore.EClass getObjectType(CDOID id)

  Returns:
    The type of an object if a revision for that object is in the revision cache, `null` otherwise.
  Since:
    2.0

### containsRevision

    boolean containsRevision(CDOID id)

### containsRevisionByTime

    boolean containsRevisionByTime(CDOID id,
                                   long timeStamp)

### containsRevisionByVersion

    boolean containsRevisionByVersion(CDOID id,
                                      int version)

### getRevision

    CDORevision getRevision(CDOID id,
                            int referenceChunk)

### getRevision

    CDORevision getRevision(CDOID id,
                            int referenceChunk,
                            boolean loadOnDemand)

### getRevisionByTime

    CDORevision getRevisionByTime(CDOID id,
                                  int referenceChunk,
                                  long timeStamp)

### getRevisionByTime

    CDORevision getRevisionByTime(CDOID id,
                                  int referenceChunk,
                                  long timeStamp,
                                  boolean loadOnDemand)

### getRevisionByVersion

    CDORevision getRevisionByVersion(CDOID id,
                                     int referenceChunk,
                                     int version)

### getRevisionByVersion

    CDORevision getRevisionByVersion(CDOID id,
                                     int referenceChunk,
                                     int version,
                                     boolean loadOnDemand)

### getRevisions

    java.util.List<CDORevision> getRevisions(java.util.Collection<CDOID> ids,
                                             int referenceChunk)

### getRevisionsByTime

    java.util.List<CDORevision> getRevisionsByTime(java.util.Collection<CDOID> ids,
                                                   int referenceChunk,
                                                   long timeStamp,
                                                   boolean loadMissingRevisions)

  Since:
    2.0

### getResourceID

    CDOID getResourceID(CDOID folderID,
                        java.lang.String name,
                        long timeStamp)

  Since:
    2.0

### getCache

    CDORevisionCache getCache()

  Since:
    2.0

### setCache

    void setCache(CDORevisionCache cache)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.